# $Revision: 1.7 $, $Date: 2008-01-14 20:58:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	IMAP-Simple-SSL
Summary:	Net::IMAP::Simple::SSL - SSL support for Net::IMAP::Simple
Summary(pl.UTF-8):	Net::IMAP::Simple::SSL - obsługa SSL dla Net::IMAP::Simple
Name:		perl-Net-IMAP-Simple-SSL
Version:	1.3
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	86f5e996ff9adadbc849aadc351eca81
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More)
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-Net-IMAP-Simple >= 0.95
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a subclass of Net::IMAP::SImple that includes SSL
support. The interface is identical.

%description -l pl.UTF-8
Ten moduł jest podklasą Net::IMAP::Simple dodającą obsługę protokołu
SSL. Interfejs w obu klasach jest identyczny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Net/IMAP/Simple
%{perl_vendorlib}/Net/IMAP/Simple/SSL.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-IMAP-Simple-SSL.spec,v $
Revision 1.7  2008-01-14 20:58:25  glen
- missing dirs; rel 2

Revision 1.6  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:36  paladine
- formatting

Revision 1.3  2004/11/03 21:09:49  qboosh
- better pl, use package names where possible

Revision 1.2  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.1  2004/08/22 11:35:21  adamg
- new
